#
# spec file for package btrfsprogs
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define udev_with_btrfs_builtin 190
%define udev_version %(rpm -q --queryformat %{VERSION} udev)
%define package_udev_rules %{udev_version} >= %{udev_with_btrfs_builtin}

%define _dracutmodulesdir %{_libexecdir}/dracut/modules.d

Name:           btrfsprogs
Version:        4.5.3
Release:        7.3.1
Summary:        Utilities for the Btrfs filesystem
License:        GPL-2.0-only
Group:          System/Filesystems
Url:            http://btrfs.wiki.kernel.org/index.php/Main_Page
#Git-Web:	http://git.kernel.org/cgit/linux/kernel/git/kdave/btrfs-progs.git
#Git-Clone:	git://git.kernel.org/pub/scm/linux/kernel/git/kdave/btrfs-progs
Source0:        https://www.kernel.org/pub/linux/kernel/people/kdave/btrfs-progs/btrfs-progs-v%{version}.tar.gz
Source1:        module-setup.sh
Source2:        dracut-fsck-help.txt

Patch100:       0169-btrfs-progs-udev-add-rules-for-dm-devices.patch
Patch101:       btrfs-progs-make-btrfs-image-restore-to-support-dup.patch
Patch103:       0001-btrfs-progs-convert-add-compatibility-layer-for-e2fs.patch
Patch104:       0002-btrfs-progs-convert-Introduce-functions-to-read-used.patch
Patch105:       0003-btrfs-progs-convert-Introduce-new-function-to-remove.patch
Patch106:       0004-btrfs-progs-convert-Introduce-function-to-calculate-.patch
Patch107:       0005-btrfs-progs-utils-Introduce-new-function-for-convert.patch
Patch108:       0006-btrfs-progs-Introduce-function-to-setup-temporary-su.patch
Patch109:       0007-btrfs-progs-Introduce-function-to-setup-temporary-tr.patch
Patch110:       0008-btrfs-progs-Introduce-function-to-setup-temporary-ch.patch
Patch111:       0009-btrfs-progs-Introduce-function-to-initialize-device-.patch
Patch112:       0010-btrfs-progs-Introduce-function-to-initialize-fs-tree.patch
Patch113:       0011-btrfs-progs-Introduce-function-to-initialize-csum-tr.patch
Patch114:       0012-btrfs-progs-Introduce-function-to-setup-temporary-ex.patch
Patch115:       0013-btrfs-progs-Introduce-function-to-create-convert-dat.patch
Patch116:       0014-btrfs-progs-extent-tree-Introduce-function-to-find-t.patch
Patch117:       0015-btrfs-progs-extent-tree-Enhance-btrfs_record_file_ex.patch
Patch118:       0016-btrfs-progs-convert-Introduce-new-function-to-create.patch
Patch119:       0017-btrfs-progs-convert-Introduce-function-to-migrate-re.patch
Patch120:       0018-btrfs-progs-convert-Enhance-record_file_blocks-to-ha.patch
Patch121:       0019-btrfs-progs-convert-Introduce-init_btrfs_v2-function.patch
Patch122:       0020-btrfs-progs-Introduce-do_convert_v2-function.patch
Patch123:       0021-btrfs-progs-Convert-Add-support-for-rollback-new-con.patch
Patch124:       0022-btrfs-progs-convert-Strictly-avoid-meta-or-system-ch.patch
Patch125:       0023-btrfs-progs-Cleanup-old-btrfs-convert.patch
Patch126:       0024-btrfs-progs-convert-Add-support-to-rollback-new-conv.patch
Patch127:       0025-btrfs-progs-convert-Fix-a-bug-that-makes-convert-ass.patch
Patch128:       0026-btrfs-progs-convert-Fix-bugs-in-backup-superblock-mi.patch
Patch129:       0027-btrfs-progs-convert-Insert-needed-holes-for-superblo.patch
Patch130:       0028-btrfs-progs-convert-Fix-a-bug-which-fails-to-insert-.patch
Patch131:       0103-btrfs-progs-free-qgroup-counts-in-btrfsck.patch
Patch132:       0104-btrfs-progs-btrfsck-verify-qgroups-above-level-0.patch
Patch133:       0105-btrfs-progs-btrfsck-write-corrected-qgroup-info-to-d.patch
Patch134:       btrfs-progs-convert-remove-redundant-check.patch
Patch135:       btrfs-progs-copy-btrfs-inode-flags-from-kernel-header.patch
Patch136:       btrfs-progs-convert-convert-ext-inode-flags-to-btrfs-inode-flags.patch
Patch137:       0170-btrfs-progs-check-release-path-after-usage.patch
Patch138:       btrfs-progs-convert-prevent-accounting-blocks-beyond-end-of-device.patch
Patch139:       btrfs-progs-convert-fix-migrate_super_block-to-work-with-64k-sectorsize.patch
Patch140:       btrfs-progs-file-item-fix-wrong-file-extents-inserted.patch
Patch141:       0171-btrfs-progs-qgroup-show-refine-error-messages.patch
Patch142:       btrfs-progs-introduce-kernel-sizes-to-cleanup-large-intermediate-number.patch
Patch143:       btrfs-progs-introduce-macro-to-calculate-backup-superblock-offset.patch
Patch144:       btrfs-progs-convert-introduce-simple-range-structure-for-convert-reserved-ranges.patch
Patch145:       btrfs-progs-convert-do-not-clear-nodatasum-flag-in-inode-item.patch
Patch146:       btrfs-progs-convert-do-not-clear-header-rev.patch
Patch147:       btrfs-progs-convert-properly-handle-reserved-ranges-while-iterating-files.patch
Patch148:       btrfs-progs-convert-use-search_cache_extent-in-migrate_one_reserved_range.patch
Patch149:       2010-btrfs-convert-add-support-to-convert-reiserfs.patch
Patch158:       btrfs-progs-convert-fix-inline-file-extent-creation-condition.patch
Patch150:       btrfs-progs-backref-push-state-tracking-into-a-helper-structure.patch
Patch151:       btrfs-progs-backref-add-list_first_pref-helper.patch
Patch152:       btrfs-progs-backref-use-separate-list-for-missing-keys.patch
Patch153:       btrfs-progs-backref-use-separate-list-for-indirect-refs.patch
Patch154:       3001-btrfs-progs-Introduce-function-to-fix-unaligned-devi.patch
Patch155:       3002-btrfs-progs-Introduce-function-to-fix-super-block-to.patch
Patch156:       3003-btrfs-progs-rescue-Introduce-fix-device-size.patch
Patch157:       btrfs-progs-backref-allow-backref-walk-to-handle-direct-parent-ref.patch
Patch159:       btrfs-progs-remove-comments-about-delayed-ref-in-backref-c.patch
Patch160:       btrfs-progs-remove-useless-branch-in-_merge_refs.patch
Patch161:       btrfs-progs-do-not-merge-tree-block-refs-have-different-root_id.patch
Patch2100:      2100-btrfs-progs-fsck-fix-segfault.patch
Patch2102:      2102-Btrfs-progs-make-find_and_setup_root-return-an-error.patch
Patch2103:      2103-Btrfs-progs-don-t-bug-out-if-we-can-t-find-the-last-.patch

Patch4000:      local-version-override.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  asciidoc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  dracut
BuildRequires:  libattr-devel
BuildRequires:  libblkid-devel
BuildRequires:  libext2fs-devel
BuildRequires:  libreiserfscore-devel
BuildRequires:  libuuid-devel
BuildRequires:  lzo-devel
BuildRequires:  pkg-config
BuildRequires:  udev
%if 0%{?suse_version} == 1310
BuildRequires:  libudev-devel
%endif
BuildRequires:  xmlto
BuildRequires:  zlib-devel
Supplements:    filesystem(btrfs)
Recommends:     btrfsmaintenance
%if %{package_udev_rules}
Requires:       btrfsprogs-udev-rules
%endif

%description
Utilities needed to create and maintain btrfs file systems under Linux.

%package -n libbtrfs0
Summary:        Library for interacting with Btrfs
Group:          System/Libraries

%description -n libbtrfs0
This package contains the libbtrfs.so shared library needed for some
applications to interface with btrfs.

%package -n libbtrfs-devel
Summary:        Include Files and Libraries for developing with Btrfs
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}
Requires:       libbtrfs0 = %{version}

%description -n libbtrfs-devel
This package contains the libraries and headers files for developers to
build applications to interface with btrfs.

# rpm < 4.6.0 (SLE11 uses 4.4) doesn't support noarch subpackages.
# Fortunately, it doesn't use systemd either so we can just skip it.
%if %{package_udev_rules}
%package udev-rules
Summary:        Udev rules for configuring btrfs file systems
Group:          System/Kernel
Conflicts:      udev < %{udev_with_btrfs_builtin}
BuildArch:      noarch

%description udev-rules
This package contains the udev rule file for configuring device mapper
devices that are components of btrfs file systems.  It is meant to be
used with versions of udev that contain the "built-in" btrfs command
(v190 and newer).  Older versions of udev will call the version of
"btrfs ready" contained in the btrfsprogs package, which does the right
thing.
%endif

%prep
%setup -q -n btrfs-progs-v%{version}
%patch100 -p1 
%patch101 -p1 
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch120 -p1
%patch121 -p1
%patch122 -p1
%patch123 -p1
%patch124 -p1
%patch125 -p1
%patch126 -p1
%patch127 -p1
%patch128 -p1
%patch129 -p1
%patch130 -p1
%patch131 -p1 
%patch132 -p1 
%patch133 -p1 
%patch134 -p1
%patch135 -p1
%patch136 -p1
%patch137 -p1 
%patch138 -p1
%patch139 -p1
%patch140 -p1
%patch141 -p1 
%patch142 -p1
%patch143 -p1
%patch144 -p1
%patch145 -p1
%patch146 -p1
%patch147 -p1
%patch148 -p1
%patch149 -p1 
%patch150 -p1
%patch151 -p1
%patch152 -p1
%patch153 -p1
%patch154 -p1 
%patch155 -p1 
%patch156 -p1 
%patch157 -p1
%patch158 -p1
%patch159 -p1
%patch160 -p1
%patch161 -p1

%patch2100 -p1
%patch2102 -p1
%patch2103 -p1

%patch4000 -p1

%build
./autogen.sh
%configure
make V=1 %{?_smp_mflags} all

%install
make install DESTDIR=${RPM_BUILD_ROOT} prefix=%{_prefix} bindir=%{_sbindir} mandir=%{_mandir} libdir=%{_libdir}
install -m 0755 -d ${RPM_BUILD_ROOT}/%{_sbindir}
install -m 0755 -d ${RPM_BUILD_ROOT}/%{_bindir}
# move some utilities out of /usr/sbin
mv ${RPM_BUILD_ROOT}/%{_sbindir}/btrfs-map-logical ${RPM_BUILD_ROOT}/%{_bindir}
# initrd rescue utilities
install -m 0755 btrfs-zero-log ${RPM_BUILD_ROOT}/%{_sbindir}
install -m 0755 btrfs-select-super ${RPM_BUILD_ROOT}/%{_sbindir}
install -m 0755 btrfs-image ${RPM_BUILD_ROOT}/%{_sbindir}
install -m 0755 btrfstune ${RPM_BUILD_ROOT}/%{_sbindir}
install -m 0755 btrfs-find-root ${RPM_BUILD_ROOT}/%{_sbindir}
#UsrMerge
install -m 0755 -d ${RPM_BUILD_ROOT}/sbin
ln -s %{_sbindir}/btrfs ${RPM_BUILD_ROOT}/sbin
ln -s %{_sbindir}/btrfs-zero-log ${RPM_BUILD_ROOT}/sbin
ln -s %{_sbindir}/btrfs-convert ${RPM_BUILD_ROOT}/sbin
ln -s %{_sbindir}/btrfs-select-super ${RPM_BUILD_ROOT}/sbin
ln -s %{_sbindir}/btrfs-image ${RPM_BUILD_ROOT}/sbin
ln -s %{_sbindir}/btrfstune ${RPM_BUILD_ROOT}/sbin
ln -s %{_sbindir}/btrfsck ${RPM_BUILD_ROOT}/sbin
ln -s %{_sbindir}/btrfs-find-root ${RPM_BUILD_ROOT}/sbin
ln -s %{_sbindir}/btrfs-debug-tree ${RPM_BUILD_ROOT}/sbin
ln -s %{_sbindir}/btrfs-show-super ${RPM_BUILD_ROOT}/sbin
ln -s %{_sbindir}/mkfs.btrfs ${RPM_BUILD_ROOT}/sbin
#EndUsrMerge
# command line options are not compatible (bnc#599224)
chmod +x ${RPM_BUILD_ROOT}/%{_sbindir}/fsck.btrfs
#UsrMerge
ln -s %{_sbindir}/fsck.btrfs ${RPM_BUILD_ROOT}/sbin
#EndUsrMerge
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/*.la
# don't install .a for now
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/*.a
# bash completion
install -m 0755 -d %{buildroot}/%{_datadir}/bash-completion/completions
install -m 0644 btrfs-completion %{buildroot}/%{_datadir}/bash-completion/completions/btrfs
install -m 0755 -D ${RPM_SOURCE_DIR}/module-setup.sh %{buildroot}/%{_dracutmodulesdir}/95suse-btrfs/module-setup.sh

%if 0%{!?for_debugging:1}
DEBUG_FILES="/sbin/btrfs-find-root
  %{_sbindir}/btrfs-find-root
  %_mandir/man8/btrfs-find-root.8.gz
  %_mandir/man8/btrfs-select-super.8.gz
  /sbin/btrfs-select-super
  %{_sbindir}/btrfs-select-super"
for file in $DEBUG_FILES; do
  rm -f ${RPM_BUILD_ROOT}$file
done
%endif

%post -n libbtrfs0 -p /sbin/ldconfig

%postun -n libbtrfs0 -p /sbin/ldconfig

%if 0%{?suse_version} >= 1310
%posttrans
%{?regenerate_initrd_posttrans}
%endif

%files
%defattr(-, root, root)
%doc COPYING
%doc ${RPM_SOURCE_DIR}/dracut-fsck-help.txt
/sbin/fsck.btrfs
# initrd utils
#UsrMerge
/sbin/btrfs
/sbin/btrfs-zero-log
/sbin/btrfs-convert
/sbin/btrfs-image
/sbin/btrfstune
/sbin/btrfsck
/sbin/mkfs.btrfs
/sbin/btrfs-debug-tree
/sbin/btrfs-show-super
#EndUsrMerge
%{_sbindir}/btrfs
%{_sbindir}/btrfs-zero-log
%{_sbindir}/btrfs-convert
%{_sbindir}/btrfs-image
%{_sbindir}/btrfstune
%{_sbindir}/btrfsck
%{_sbindir}/fsck.btrfs
%{_sbindir}/mkfs.btrfs
%{_sbindir}/btrfs-debug-tree
%{_sbindir}/btrfs-show-super
%{_bindir}/btrfs-map-logical
%{_mandir}/man8/btrfs-image.8.gz
%{_mandir}/man8/btrfsck.8.gz
%{_mandir}/man8/fsck.btrfs.8.gz
%{_mandir}/man8/mkfs.btrfs.8.gz
%{_mandir}/man8/btrfs.8.gz
%{_mandir}/man5/btrfs.5.gz
%{_mandir}/man8/btrfs-convert.8.gz
%{_mandir}/man8/btrfs-debug-tree.8.gz
%{_mandir}/man8/btrfs-map-logical.8.gz
%{_mandir}/man8/btrfs-show-super.8.gz
%{_mandir}/man8/btrfs-zero-log.8.gz
%{_mandir}/man8/btrfstune.8.gz
%{_mandir}/man8/btrfs-balance.8.gz
%{_mandir}/man8/btrfs-check.8.gz
%{_mandir}/man8/btrfs-device.8.gz
%{_mandir}/man8/btrfs-filesystem.8.gz
%{_mandir}/man8/btrfs-inspect-internal.8.gz
%{_mandir}/man8/btrfs-property.8.gz
%{_mandir}/man8/btrfs-qgroup.8.gz
%{_mandir}/man8/btrfs-quota.8.gz
%{_mandir}/man8/btrfs-receive.8.gz
%{_mandir}/man8/btrfs-replace.8.gz
%{_mandir}/man8/btrfs-rescue.8.gz
%{_mandir}/man8/btrfs-restore.8.gz
%{_mandir}/man8/btrfs-scrub.8.gz
%{_mandir}/man8/btrfs-send.8.gz
%{_mandir}/man8/btrfs-subvolume.8.gz
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/btrfs
%{_dracutmodulesdir}/95suse-btrfs/
%{_dracutmodulesdir}/95suse-btrfs/module-setup.sh

%if 0%{?for_debugging:1}
/sbin/btrfs-find-root
%{_sbindir}/btrfs-find-root
%{_mandir}/man8/btrfs-find-root.8.gz
/sbin/btrfs-select-super
%{_sbindir}/btrfs-select-super
%{_mandir}/man8/btrfs-select-super.8.gz
%endif

%files -n libbtrfs0
%defattr(-, root, root)
%{_libdir}/libbtrfs.so.*

%files -n libbtrfs-devel
%defattr(-, root, root)
%dir %{_includedir}/btrfs
%{_includedir}/btrfs/*
%{_libdir}/libbtrfs.so

%if %{package_udev_rules}
%files udev-rules
%defattr(-, root, root)
%dir %{_udevrulesdir}
%{_udevrulesdir}/64-btrfs-dm.rules
%endif

%changelog
* Wed Mar  6 2019 jeffm@suse.com
- Ensure convert creates correctly formatted file system (bsc#1042369).
  - Btrfs-progs: convert: do not clear header rev
  - Btrfs-progs: convert: do not clear nodatasum flag in inode item
  - Cleanup old btrfs-convert
  - convert: add compatibility layer for e2fsprogs < 1.42
  - Convert: Add support for rollback new convert behavior
  - convert: Add support to rollback new convert image
  - convert: Convert ext inode flags to btrfs inode flags
  - convert: Enhance record_file_blocks to handle reserved ranges
  - convert: Fix a bug that makes convert asserts at scan time
  - convert: Fix a bug which fails to insert hole file extent
  - convert: Fix bugs in backup superblock migration
  - convert: Fix inline file extent creation condition
  - convert: Fix migrate_super_block() to work with 64k sectorsize
  - convert: Insert needed holes for superblock migration
  - convert: Introduce function to calculate the available space
  - convert: Introduce function to migrate reserved ranges
  - convert: Introduce functions to read used space
  - convert: Introduce init_btrfs_v2 function.
  - convert: Introduce new function to create converted image
  - convert: Introduce new function to remove reserved ranges
  - convert: Introduce simple range structure for convert reserved ranges
  - convert: Prevent accounting blocks beyond end of device
  - convert: properly handle reserved ranges while iterating files
  - convert: remove redundant check
  - convert: Strictly avoid meta or system chunk allocation
  - convert: use search_cache_extent in migrate_one_reserved_range
  - Copy btrfs inode flags from kernel header
  - extent-tree: Enhance btrfs_record_file_extent
  - extent-tree: Introduce function to find the first overlapping extent
  - file-item: Fix wrong file extents inserted
  - Introduce do_convert_v2 function
  - Introduce function to create convert data chunks
  - Introduce function to fix super block total bytes
  - Introduce function to fix unaligned device size
  - Introduce function to initialize csum tree
  - Introduce function to initialize device tree
  - Introduce function to initialize fs tree
  - Introduce function to setup temporary chunk root
  - Introduce function to setup temporary extent tree
  - Introduce function to setup temporary superblock
  - Introduce function to setup temporary tree root
  - Introduce kernel sizes to cleanup large intermediate number
  - Introduce macro to calculate backup superblock offset
  - rescue: Introduce fix-device-size
  - utils: Introduce new function for convert
- Added patches:
  * 0001-btrfs-progs-convert-add-compatibility-layer-for-e2fs.patch
  * 0002-btrfs-progs-convert-Introduce-functions-to-read-used.patch
  * 0003-btrfs-progs-convert-Introduce-new-function-to-remove.patch
  * 0004-btrfs-progs-convert-Introduce-function-to-calculate-.patch
  * 0005-btrfs-progs-utils-Introduce-new-function-for-convert.patch
  * 0006-btrfs-progs-Introduce-function-to-setup-temporary-su.patch
  * 0007-btrfs-progs-Introduce-function-to-setup-temporary-tr.patch
  * 0008-btrfs-progs-Introduce-function-to-setup-temporary-ch.patch
  * 0009-btrfs-progs-Introduce-function-to-initialize-device-.patch
  * 0010-btrfs-progs-Introduce-function-to-initialize-fs-tree.patch
  * 0011-btrfs-progs-Introduce-function-to-initialize-csum-tr.patch
  * 0012-btrfs-progs-Introduce-function-to-setup-temporary-ex.patch
  * 0013-btrfs-progs-Introduce-function-to-create-convert-dat.patch
  * 0014-btrfs-progs-extent-tree-Introduce-function-to-find-t.patch
  * 0015-btrfs-progs-extent-tree-Enhance-btrfs_record_file_ex.patch
  * 0016-btrfs-progs-convert-Introduce-new-function-to-create.patch
  * 0017-btrfs-progs-convert-Introduce-function-to-migrate-re.patch
  * 0018-btrfs-progs-convert-Enhance-record_file_blocks-to-ha.patch
  * 0019-btrfs-progs-convert-Introduce-init_btrfs_v2-function.patch
  * 0020-btrfs-progs-Introduce-do_convert_v2-function.patch
  * 0021-btrfs-progs-Convert-Add-support-for-rollback-new-con.patch
  * 0022-btrfs-progs-convert-Strictly-avoid-meta-or-system-ch.patch
  * 0023-btrfs-progs-Cleanup-old-btrfs-convert.patch
  * 0024-btrfs-progs-convert-Add-support-to-rollback-new-conv.patch
  * 0025-btrfs-progs-convert-Fix-a-bug-that-makes-convert-ass.patch
  * 0026-btrfs-progs-convert-Fix-bugs-in-backup-superblock-mi.patch
  * 0027-btrfs-progs-convert-Insert-needed-holes-for-superblo.patch
  * 0028-btrfs-progs-convert-Fix-a-bug-which-fails-to-insert-.patch
  * btrfs-progs-convert-remove-redundant-check.patch
  * btrfs-progs-copy-btrfs-inode-flags-from-kernel-header.patch
  * btrfs-progs-convert-convert-ext-inode-flags-to-btrfs-inode-flags.patch
  * btrfs-progs-convert-prevent-accounting-blocks-beyond-end-of-device.patch
  * btrfs-progs-convert-fix-migrate_super_block-to-work-with-64k-sectorsize.patch
  * btrfs-progs-file-item-fix-wrong-file-extents-inserted.patch
  * btrfs-progs-introduce-kernel-sizes-to-cleanup-large-intermediate-number.patch
  * btrfs-progs-introduce-macro-to-calculate-backup-superblock-offset.patch
  * btrfs-progs-convert-introduce-simple-range-structure-for-convert-reserved-ranges.patch
  * btrfs-progs-convert-do-not-clear-nodatasum-flag-in-inode-item.patch
  * btrfs-progs-convert-do-not-clear-header-rev.patch
  * btrfs-progs-convert-properly-handle-reserved-ranges-while-iterating-files.patch
  * btrfs-progs-convert-use-search_cache_extent-in-migrate_one_reserved_range.patch
  * btrfs-progs-convert-fix-inline-file-extent-creation-condition.patch
* Wed Mar  6 2019 jeffm@suse.com
- Improve fsck performance with qgroups enabled (bsc#1125340).
  - backref: push state tracking into a helper structure
  - backref: add list_first_pref helper
  - backref: use separate list for missing keys
  - backref: use separate list for indirect refs
  - backref: Allow backref walk to handle direct parent ref
  - remove comments about delayed ref in backref.c
  - remove useless branch in __merge_refs
  - do not merge tree block refs have different root_id
- Added patches:
  * btrfs-progs-backref-push-state-tracking-into-a-helper-structure.patch
  * btrfs-progs-backref-add-list_first_pref-helper.patch
  * btrfs-progs-backref-use-separate-list-for-missing-keys.patch
  * btrfs-progs-backref-use-separate-list-for-indirect-refs.patch
  * btrfs-progs-backref-allow-backref-walk-to-handle-direct-parent-ref.patch
  * btrfs-progs-remove-comments-about-delayed-ref-in-backref-c.patch
  * btrfs-progs-remove-useless-branch-in-_merge_refs.patch
  * btrfs-progs-do-not-merge-tree-block-refs-have-different-root_id.patch
* Wed Mar  6 2019 jeffm@suse.com
- Reorder patch application to match upstream order.
* Wed Mar  6 2019 jeffm@suse.com
- make btrfs-image restore to support dup (bsc#1125188).
  * Added patch btrfs-progs-make-btrfs-image-restore-to-support-dup.patch
* Wed Mar  6 2019 jeffm@suse.com
- Update patch tags for old patches.
- Modified patches:
  * 0103-btrfs-progs-free-qgroup-counts-in-btrfsck.patch
  * 0104-btrfs-progs-btrfsck-verify-qgroups-above-level-0.patch
  * 0105-btrfs-progs-btrfsck-write-corrected-qgroup-info-to-d.patch
  * 0169-btrfs-progs-udev-add-rules-for-dm-devices.patch
  * 0171-btrfs-progs-qgroup-show-refine-error-messages.patch
  * 2010-btrfs-convert-add-support-to-convert-reiserfs.patch
  * 3001-btrfs-progs-Introduce-function-to-fix-unaligned-devi.patch
  * 3002-btrfs-progs-Introduce-function-to-fix-super-block-to.patch
  * 3003-btrfs-progs-rescue-Introduce-fix-device-size.patch
* Tue Mar 27 2018 wqu@suse.com
- btrfs-progs: Add "rescue fix-device-size" subcommand (bsc#1083287)
  * Backport "rescue fix-device-size" subcommand to fix super total_bytes
    mismatch offline.
  - Added patch: 3001-btrfs-progs-Introduce-function-to-fix-unaligned-devi.patch
  - Added patch: 3002-btrfs-progs-Introduce-function-to-fix-super-block-to.patch
  - Added patch: 3003-btrfs-progs-rescue-Introduce-fix-device-size.patch
* Thu Jun 22 2017 jeffm@suse.com
- btrfs-progs: qgroup show: refine error messages (bsc#1045577).
  - Added patch: 0171-btrfs-progs-qgroup-show-refine-error-messages.patch
* Fri Nov  4 2016 jeffm@suse.com
- btrfs-progs: check: release path after usage (bsc#997061).
  - Added patch: btrfs-progs-check-release-path-after-usage.patch
* Fri Nov  4 2016 jeffm@suse.com
- Add new btrfsprogs-udev-rules package to contain the udev rules.
* Thu Jul 28 2016 dsterba@suse.cz
- update to 4.5.3 (fate#320614)
  * ioctl: fix unaligned access in buffer from TREE_SEARCH; might cause SIGBUS
    on architectures that do not support unaligned access and do not performa
    any fixups
  * improved validation checks of superblock and chunk-related structures
  * subvolume sync: fix handling of -s option
  * balance: adjust timing of safety delay countdown with --full-balance
  * rescue super-recover: fix reversed condition check
  * check: fix bytes_used accounting
  * documentation updates: mount options, scrub, send, receive, select-super,
    check, mkfs
  * testing: new fuzzed images, for superblock and chunks
- update to 4.5.2
  * new/moved command: btrfs-calc-stats -> btrfs inspect tree-stats
  * check: fix false alert for metadata blocks crossing stripe boundary
  * check: catch when qgroup numbers mismatch
  * check: detect running quota rescan and report mismatches
  * balance start: add safety delay before doing a full balance
  * fi sync: is now silent
  * fi show: don't miss filesystems with partially matching uuids
  * dev ready: accept only one argument for device
  * dev stats: print "devid:N" for a missing device instead of "(null)"
  * other:
  * lowest supported version of e2fsprogs is 1.41
  * minor cleanups, test updates
- update wording of dracut-fsck-help.txt
- Removed patches:
  * 2000-btrfs-full-balance-warning.diff
  * 0100-btrfs-progs-Fix-return-value-bug-of-qgroups-check.patch
  * 0101-btrfs-progs-Fix-an-extent-buffer-leak-in-qgroups-che.patch
  * 0102-btrfs-progs-Read-qgroup-status-for-qgroup-verify.patch
* Mon Jun 27 2016 mfasheh@suse.com
- Advise user of fs recovery options when we fail to mount (fate#320443)
  * Add dracut-fsck-help.txt
  * Add module-setup.sh
* Fri Jun 17 2016 mfasheh@suse.com
- btrfsck updates for qgroup verification and repair (fate#318144)
  * We can now check all qgroup levels
  * btrfsck will write out corrected qgroups when run with --repair
  - Added patch: 0100-btrfs-progs-Fix-return-value-bug-of-qgroups-check.patch
  - Added patch: 0101-btrfs-progs-Fix-an-extent-buffer-leak-in-qgroups-che.patch
  - Added patch: 0102-btrfs-progs-Read-qgroup-status-for-qgroup-verify.patch
  - Added patch: 0103-btrfs-progs-free-qgroup-counts-in-btrfsck.patch
  - Added patch: 0104-btrfs-progs-btrfsck-verify-qgroups-above-level-0.patch
  - Added patch: 0105-btrfs-progs-btrfsck-write-corrected-qgroup-info-to-d.patch
* Tue May 31 2016 jeffm@suse.com
- Add udev rules for dm devices (bsc#912170 bsc#888215)
  - Added patch: 0169-btrfs-progs-udev-add-rules-for-dm-devices.patch
  - Added patch: btrfs-progs-no-PKG_CHECK_VAR
* Sun May  1 2016 dsterba@suse.cz
- update to 4.5.1 (fate#320614)
  * mkfs: allow DUP on multidev fs
  * fix static build
- update to 4.5
  * new/moved commands
  * btrfs-show-super -> btrfs inspect-internal dump-super
  * btrfs-debug-tree -> btrfs inspect-internal dump-tree
  * new commands
  * btrfs fi du - calculate disk usage, including shared extents
  * enhancements
  * device delete - delete by id (needs kernel support, not merged to 4.6)
  * check - new option to specify chunk root
  * debug-tree/dump-tree - option -t understands human readable name of the
    tree (along numerical ids)
  * btrfs-debugfs - can dump block group information
  * bugfixes
  * all commands should accept the option separator "--"
  * several fixes in device scan
  * restore works on filesystems with sectorsize > 4k
  * debug-tree/dump-tree - print compression type as string
  * subvol sync: fix crash, memory corruption
  * argument parsing fixes: subvol get-default, qgroup create/destroy/assign,
    inspect subvolid-resolve
  * check for block device or regular file in several commands
  * other
  * documentation updates
  * manual pages for the moved tools now point to btrfs-filesystem
  * testsuite updates
- update to 4.4.1
  * find-root: don't skip the first chunk
  * free-space-tree compat bits fix
  * build: target symlinks
  * documentation updates
  * test updates
- update to 4.3.1
  * fixes
  * device delete: recognize 'missing' again
  * mkfs: long names are not trimmed when doing ssd check
  * support partitioned loop devices
  * other
  * replace several mallocs with on-stack variables
  * more memory allocation failure handling
  * add tests for bugs fixed
  * cmd-device: switch to new message printing helpers
  * minor code cleanups
- update to 4.3
  * mkfs
  * mixed mode is not forced for filesystems smaller than 1GiB
  * mixed mode broken with mismatching sectorsize and nodesize, fixed
  * print version info earlier
  * print devices sorted by id
  * do not truncate target image with --rootsize
  * fi usage:
  * don't print global block reserve
  * print device id
  * minor output tuning
  * other cleanups
  * calc-size:
  * div-by-zero fix on an empty filesystem
  * fix crash
  * bugfixes:
  * more superblock sanity checks
  * consistently round size of all devices down to sectorsize
  * misc leak fixes
  * convert: don't try to rollback with a half-deleted ext2_saved subvolume
  * other:
  * check: add progress indicator
  * scrub: enahced error message
  * show-super: read superblock from a given offset
  * add README
  * docs: update manual page for mkfs.btrfs, btrfstune, balance, convert and inspect-internal
  * build: optional build with more warnings (W=...)
  * build: better support for static checkers
  * build: html output of documentation
  * pretty-print: last_snapshot for root_item
  * pretty-print: stripe dev uuid
  * error reporting wrappers, introduced and example use
  * refactor open_file_or_dir
  * other docs and help updates
  * testing:
  * test for nodes crossing stripes
  * test for broken 'subvolume sync'
  * basic tests for mkfs, raid option combinations
  * basic tests for fuzzed images (check)
  * command intrumentation (eg valgrind)
  * print commands if requested
  * add README for tests
- update to 4.2.3
  - subvol sync: make it actually work again
  - scanning: do not scan already discovered filesystems (minor optimization)
  - convert: better error message in case the filesystem is not finalized
  - restore: off-by-one symlink path check fix
- update to 4.2.2
  - fi label: use fallback if the label ioctl is not available
  - convert: check nodesize constraints against commandline features (-O)
  - scrub: report status 'running' until all devices are finished
  - device scanning might crash in some scenarios
  - fi usage: print summary for non-root users
- update to 4.2.1
  - fix an off-by-one error in cross-stripe boundary check
  - convert: don't write uninitialized data to image
  - image:  don't loop with option -t0
  - image: don't create threads if compression is not requested
- version 4.2
  * enhancements:
  * mkfs: do not create extra single chunks on multiple devices
  * resize: try to guess the minimal size, 'inspect min-dev-size'
  * qgroup assign: add option to schedule rescan
  * chunk-recover: be more verbose about the scanning process
  * fixes:
  * check:
  * find stripes crossing stripe boundary -- created by convert
  * print correct range for file hole when there are no extents
  and learn how to fix it
  * replace: more sanity checks
  * convert: concurrency fixes related to reporting progress
  * find-root: option -a will not skip the current root anymore
  * subvol list: fix occasional crash
  * do not create stripes crossing stripe boundary
  * build:
  * fixes for musl libc
  * preliminary support for android (not working yet, more code changes needed)
  * new EXTRA_CFLAGS and EXTRA_LDFLAGS
  * other:
  * lots of cleanups
  * tests: lots of updates, new tests, framework improvements
  * documentation updates
  * debugging: print-tree shows stripe length
- Removed patches:
  * 0001-btrfs-progs-fix-double-free-during-scanning.patch
  * 0002-btrfs-progs-mkfs-use-correct-size-for-superblock-csu.patch
  * 2005-btrfs-convert-add-context-and-operations-struct-to-a.patch
  * 2104-get-min-size-for-resize.patch
  * 2105-move-min-resize-implementation-to-inspec.patch
  * 2106-inspect-add-command-min-dev-size.patch
* Wed Nov 25 2015 mbrugger@suse.com
- fix mkfs failure for architectures with sectorsize > 4k (bnc#956819, fate#318444)
* Thu Oct 22 2015 dsterba@suse.cz
- fix crash during scanning (bsc#951597)
- Added patches:
  * 0001-btrfs-progs-fix-double-free-during-scanning.patch
* Thu Aug 27 2015 dsterba@suse.cz
- add warning before full balance starts (bsc#940467, fate#319317)
- Added patches:
  2000-btrfs-full-balance-warning.diff
* Fri Jul 24 2015 fdmanana@suse.com
- Moved feature to get the minimum size a filesystem can be resized
  to into the subcommand inspect-internal (FATE#317897).
- Added patches:
  * 2105-move-min-resize-implementation-to-inspec.patch
  * 2106-inspect-add-command-min-dev-size.patch
* Thu Jul 16 2015 fdmanana@suse.com
- Add feature to get minimum size a filesystem can be resized to
  (FATE#317897).
- Added patch:
  * 2104-get-min-size-for-resize.patch
* Mon Jul 13 2015 dsterba@suse.com
- version 4.1.2
  - mkfs: bugfix, previous version does not create entierly correct
    filesystem (has to be recreated) (bsc#938017)
* Sun Jul 12 2015 dsterba@suse.com
- update to upstream 4.1.1 (FATE#318590, bsc#929668)
- version 4.1.1
  * bugfixes
  - defrag: threshold overflow fix
  - fsck:
  - check if items fit into the leaf space
  - fix wrong nbytes
  - mkfs:
  - create only desired block groups for single device
  - preparatory work for fix on multiple devices
  * enhancements
  - new alias for 'device delete': 'device remove'
  * other
  - fix compilation on old gcc (4.3)
  - documentation updates
  - debug-tree: print nbytes
  - test: image for corrupted nbytes
  - corupt-block: let it kill nbytes
- version 4.1
  * bugfixes
  - fsck.btrfs: no bash-isms
  - bugzilla 97171: invalid memory access (with tests)
  - receive:
  - cloning works with --chroot
  - capabilities not lost
  - mkfs: do not try to register bare file images
  - option --help accepted by the standalone utilities
  * enhancements
  - corrupt block: ability to remove csums
  - mkfs:
  - warn if metadata redundancy is lower than for data
  - options to make the output quiet (only errors)
  - mixed case names of raid profiles accepted
  - rework the output:
  - more comprehensive, 'key: value' format
  - subvol:
  - show:
  - print received uuid
  - update the output
  - new options to specify size units
  - sync:
  - grab all deleted ids and print them as they're removed,
  previous implementation only checked if there are any
  to be deleted - change in command semantics
  - scrub: print timestamps in days HMS format
  - receive:
  - can specify mount point, do not rely on /proc
  - can work inside subvolumes
  - send:
  - new option to send stream without data (NO_FILE_DATA)
  - convert:
  - specify incompat features on the new fs
  - qgroup:
  - show: distinguish no limits and 0 limit value
  - limit: ability to clear the limit
  - help for 'btrfs' is shorter, 1st level command overview
  - debug tree: print key names according to their C name
  * new
  - rescure zero-log
  - btrfsune:
  - rewrite uuid on a filesystem image
  - new option to turn on NO_HOLES incompat feature
  * deprecated
  - standalone btrfs-zero-log
  * other
  - testing framework updates
  - uuid rewrite test
  - btrfstune feature setting test
  - zero-log tests
  - more testing image formats
  - manual page updates
  - ioctl.h synced with current kernel uapi version
  - convert: preparatory works for more filesystems (reiserfs pending)
  - use static buffers for path handling where possible
  - add new helpers for send uilts that check memory allocations,
    switch all users, deprecate old helpers
  - Makefile: fix build dependency generation
  - map-logical: make it work again
- version 4.0
  * resize:
  * don't accept file as an argument (it's confusing)
  * print better error message in case of an error
  * restore: optionally restore metadata (time, mode, uid/gid)
  * receive: optionally enforce chroot
  * new rescue subcommand 'zero-log', same as btrfs-zero-log, but
    now also part of the main utility
  * check:
  * free space checks match kernel, fixes incorrect reports
  * convert: fix setting of checksum bit if --no-datasum is used
  * fsck.btrfs: don't print messages
  * fix quota rescan on PPC64 (mangled ioctl number)
  * test updates
  * documentation: files renamed to .asciidoc, misc fixups
- version 3.19.1
  - convert:
  - new option to specify metadata block size
  - --no-progress actually works
  - restore: properly handle the page boundary corner case
  - build fixes:
  - missing macro from public header, BTRFS_BUILD_VERSION
  - wrong handling of --enable-convert
  - fi usage: reports correct space for degraded mounts
  - other:
  - mkfs: help string updates
  - completion: added 'usage' subcommands
  - cleanups in qgroup code, preparatory work
- version 3.19
  - btrfs-image
  - restore can now run in parallel threads
  - fixed restore of multiple image from multiple devices onto a single dev
  - introduced metadump v2
  - check
  - make --init-csum-tree and --init-extent-tree work together
  - find-new
  - option to search through all metadata even if a root was already found
  - convert
  - show progress by default, can be turned off
  - corrupt-block
  - option to work on a specific root
  - bash completion script for all subcommands
- spec: convert to autotools,drop libacl dependency, add COPYING
  Removed patch 0169-btrfs-progs-Check-metadata-mirrors-in-find-root.patch
- Refreshed patches:
  * 2005-btrfs-convert-add-context-and-operations-struct-to-a.patch
  * 2010-btrfs-convert-add-support-to-convert-reiserfs.patch
- Removed patches (upstreamed or obsolete):
  * 2000-btrfs-convert-clean-up-blk_iterate_data-handling-wrt.patch
  * 2001-btrfs-convert-remove-unused-fs-argument-from-block_i.patch
  * 2002-btrfs-convert-remove-unused-inode_key-in-copy_single.patch
  * 2003-btrfs-convert-rename-ext2_root-to-image_root.patch
  * 2004-compat-define-DIV_ROUND_UP-if-not-already-defined.patch
  * 2006-btrfs-constify-some-function-parameters.patch
  * 2007-btrfs-convert-factor-out-adding-dirent-into-convert.patch
  * 2008-btrfs-convert-factor-out-block-iteration-callback.patch
  * 2009-btrfs-convert-fix-typo-in-btrfs_insert_dir_item-call.patch
  * 2104-btrfs-progs-Check-metadata-mirrors-in-find-root.patch
* Wed Apr 29 2015 dsterba@suse.cz
- update to upstream 3.18.2 (FATE#318590, bsc#929668)
  - enhanced documentation
  - filesystem: new command usage
  - df: unit bases
  - df: print GlobalReserve info
  - device: new command usage
  - subvol: commit modes for create
  - convert: option show progress
  - mkfs: misc updates
  - check: misc updates
  - restore: misc updates
  - library version definitions in headers
  - more details at https://btrfs.wiki.kernel.org/index.php/Changelog
- spec updates
- Refreshed patches:
  * 2000-btrfs-convert-clean-up-blk_iterate_data-handling-wrt.patch
  * 2003-btrfs-convert-rename-ext2_root-to-image_root.patch
  * 2005-btrfs-convert-add-context-and-operations-struct-to-a.patch
  * 2010-btrfs-convert-add-support-to-convert-reiserfs.patch
- Removed patches:
  * 0032-btrfs-progs-Fix-malloc-size-for-superblock.patch
  * 0037-btrfs-progs-fsck-avoid-pinning-same-block-several-ti.patch
  * 0038-btrfs-progs-fsck-clear-out-log-tree-in-repair-mode.patch
  * 0039-btrfs-progs-fsck-remove-unfriendly-BUG_ON-for-search.patch
  * 0040-btrfs-progs-fsck-finish-transaction-commit-if-repair.patch
  * 0041-btrfs-progs-fsck-add-ability-to-check-reloc-roots.patch
  * 0042-btrfs-progs-check-fix-csum-check-in-the-presence-of-.patch
  * 0043-btrfs-progs-make-free-space-checker-work-on-non-4k-s.patch
  * 0064-btrfs-progs-print-B-for-bytes.patch
  * 0065-btrfs-progs-extend-pretty-printers-with-unit-mode.patch
  * 0066-btrfs-progs-Remove-extra-const-modifiers-they-don-t-.patch
  * 0067-btrfs-progs-add-options-to-tune-units-for-fi-df-outp.patch
  * 0068-btrfs-progs-convert-set-label-or-copy-from-origin.patch
  * 0087-Btrfs-progs-check-fix-return-value-check-of-is_child.patch
  * 0100-btrfs-progs-Fix-number-of-arguments-check-of-btrfs-f.patch
  * 0108-btrfs-progs-use-the-correct-SI-prefixes.patch
  * 0133-btrfs-progs-fix-spacing-in-error-messages.patch
  * 0139-btrfs-progs-move-group-type-and-profile-pretty-print.patch
  * 0140-btrfs-progs-Enhance-the-command-btrfs-filesystem-df.patch
  * 0141-btrfs-progs-Add-helpers-functions-to-handle-the-prin.patch
  * 0142-btrfs-progs-Add-command-btrfs-filesystem-disk-usage.patch
  * 0143-btrfs-progs-Add-btrfs-device-disk-usage-command.patch
  * 0144-btrfs-progs-cleanup-dead-return-after-usage-for-fi-d.patch
  * 0145-btrfs-progs-Fix-memleak-in-get_raid56_used.patch
  * 0146-Btrfs-progs-fi-usage-free-memory-if-realloc-fails.patch
  * 0147-btrfs-progs-add-original-df-and-rename-disk_usage-to.patch
  * 0148-btrfs-progs-move-device-usage-to-cmds-device-more-cl.patch
  * 0149-btrfs-progs-check-if-we-can-t-get-info-from-ioctls-d.patch
  * 0150-btrfs-progs-zero-out-structures-before-calling-ioctl.patch
  * 0151-btrfs-progs-Print-more-info-about-device-sizes.patch
  * 0152-btrfs-progs-compare-unallocated-space-against-the-co.patch
  * 0153-btrfs-progs-add-section-of-overall-filesystem-usage.patch
  * 0154-btrfs-progs-cleanup-filesystem-device-usage-code.patch
  * 0155-btrfs-progs-replace-df_pretty_sizes-with-pretty_size.patch
  * 0156-btrfs-progs-clean-up-return-codes-and-paths.patch
  * 0157-btrfs-progs-move-global-reserve-to-overall-summary.patch
  * 0158-btrfs-progs-hide-FS-occupied-from-device-usage-outpu.patch
  * 0159-btrfs-progs-provide-better-error-message-for-raid-pr.patch
  * 0160-btrfs-progs-fix-wrong-data-ratio-for-raid56-in-btrfs.patch
  * 0161-btrfs-progs-output-the-correct-path-when-fi-usage-fa.patch
  * 0162-btrfs-progs-fix-improper-output-msg-for-btrfs-fi-usa.patch
  * 0163-btrfs-progs-rework-calculations-of-fi-usage.patch
  * 0189-btrfs-progs-mkfs-make-skinny-metadata-default.patch
  * 0201-btrfs-progs-fi-usage-change-option-for-tabular-outpu.patch
  * 0202-btrfs-progs-fi-usage-add-switches-to-set-output-unit.patch
  * 0203-btrfs-progs-fi-usage-update-manpage.patch
  * 0204-btrfs-progs-dev-usage-add-switches-to-set-output-uni.patch
  * 0205-btrfs-progs-dev-usage-update-manpage.patch
  * 0206-btrfs-progs-unify-unit-mode-parameters-and-variables.patch
  * 0219-btrfs-progs-cleanup-avoid-to-use-literal-for-getopt-.patch
  * 0267-btrfs-progs-Fix-a-extent-buffer-leak-in-count_csum_r.patch
  * 0275-btrfs-progs-Remove-redundant-short-description-from-.patch
* Mon Jan 26 2015 dsterba@suse.cz
- update (bsc#914955)
  - filesystem: options for usage and df to specify output units
  - device: options for usage to specify output units
  - more fsck fixes
  - spec cleanup:
  - renamed and reordered patches to match upstream order
  - renamed and moved local patches to the end
- version 3.16.2
  - fsck: handle bad extent mapping
  - image: make it work on a balanced fs
  - btrfs-show-super: print flags in human readable way
  - documentation updates
- version 3.16.1
  - library version defines
  - subvol list: -R to print received UUID
  - fixed detection of multiple mounts on the same directory
  - restore: misc fixes
- Removed upstreamed patches:
  * 0018-btrfs-progs-read-global-reserve-size-from-space-info.patch
  * 0053-btrfs-progs-Do-not-free-dirty-extent-buffer.patch
  * 0164-btrfs-progs-convert-set-label-or-copy-from-origin.patch
  * library-version-defines.patch
- Added patches (only new, the rest renamed):
  * 0039-btrfs-progs-fsck-remove-unfriendly-BUG_ON-for-search.patch
  * 0040-btrfs-progs-fsck-finish-transaction-commit-if-repair.patch
  * 0042-btrfs-progs-check-fix-csum-check-in-the-presence-of-.patch
  * 0066-btrfs-progs-Remove-extra-const-modifiers-they-don-t-.patch
  * 0067-btrfs-progs-add-options-to-tune-units-for-fi-df-outp.patch
  * 0087-Btrfs-progs-check-fix-return-value-check-of-is_child.patch
  * 0100-btrfs-progs-Fix-number-of-arguments-check-of-btrfs-f.patch
  * 0108-btrfs-progs-use-the-correct-SI-prefixes.patch
  * 0133-btrfs-progs-fix-spacing-in-error-messages.patch
  * 0139-btrfs-progs-move-group-type-and-profile-pretty-print.patch
  * 0158-btrfs-progs-hide-FS-occupied-from-device-usage-outpu.patch
  * 0159-btrfs-progs-provide-better-error-message-for-raid-pr.patch
  * 0160-btrfs-progs-fix-wrong-data-ratio-for-raid56-in-btrfs.patch
  * 0161-btrfs-progs-output-the-correct-path-when-fi-usage-fa.patch
  * 0162-btrfs-progs-fix-improper-output-msg-for-btrfs-fi-usa.patch
  * 0201-btrfs-progs-fi-usage-change-option-for-tabular-outpu.patch
  * 0202-btrfs-progs-fi-usage-add-switches-to-set-output-unit.patch
  * 0203-btrfs-progs-fi-usage-update-manpage.patch
  * 0204-btrfs-progs-dev-usage-add-switches-to-set-output-uni.patch
  * 0205-btrfs-progs-dev-usage-update-manpage.patch
  * 0206-btrfs-progs-unify-unit-mode-parameters-and-variables.patch
  * 0219-btrfs-progs-cleanup-avoid-to-use-literal-for-getopt-.patch
  * 0267-btrfs-progs-Fix-a-extent-buffer-leak-in-count_csum_r.patch
* Fri Sep 26 2014 dsterba@suse.cz
- fi usage: fix calculations, negative numbers might show for
  certain raid profile combinantion
- Added patches:
  * newdf-rework-calculations.patch
  * newdf-fix-total-size.patch
* Wed Sep 10 2014 dsterba@suse.cz
- change to Reccommends for the btrfsmaintenance package
* Mon Sep  8 2014 dsterba@suse.cz
- add api versioning and package version.h (now 0.1.1)
- suggest btrfsmaintenance package
- Added patches:
  * library-version-defines.patch
  * 0053-btrfs-progs-Do-not-free-dirty-extent-buffer.patch
- Remove patch: send-stream-api-wokaround.patch, workaround not needed
* Fri Aug 29 2014 dsterba@suse.cz
- version 3.16
  - show-super: skip unrecognized sb, add option to force
  - debug-tree: print tree by id
  - mkfs: new option to specify UUID
  - receive: new option to limit number of errors
  - check: new option to verify quotas
  - check: reduced memory requirements
  - check: new option to print extent sharing
  - restore: check length before decompression
  - restore: more error handling
  - balance: new filter 'limit'
  - recover: allow to read all sb copies
  - restore: option to loop during restoring
  - mkfs: drop experimental notice
  - btrfstune: new option to force dangerous changes
  - documentation updates
- send stream api workaround
- Added patch: send-stream-api-wokaround.patch
- Deleted patches:
  * 0032-btrfs-progs-doc-fix-symlink-target-for-btrfsck.8.patch
  * 0033-btrfs-progs-clarify-mkfs.btrfs-alloc-start-option.patch
  * 0034-btrfs-progs-clarify-manpage-for-btrfstune-seeding-op.patch
  * 0035-btrfs-progs-update-man-page-for-btrfs-show-super.patch
  * 0036-btrfs-progs-Documentation-Add-filter-section-for-btr.patch
  * 0037-btrfs-progs-show-meaningful-msgs-for-replace-cmd-upo.patch
  * 0038-btrfs-progs-Improve-the-parse_size-error-message.patch
  * 0039-btrfs-progs-clean-fsck-noise-for-free-inode-generati.patch
  * 0040-btrfs-progs-Properly-size-the-leafsize-field-in-the-.patch
  * 0042-btrfs-progs-update-manpage-for-btrfs-image-with-m-op.patch
  * 0043-btrfs-progs-deal-with-invalid-option-combinations-fo.patch
  * 0044-btrfs-progs-delete-invalid-output-file-when-btrfs-im.patch
  * 0045-btrfs-progs-deal-with-malloc-failure-in-btrfs-image.patch
  * 0046-btrfs-progs-cleanup-possible-silent-failure-in-btrfs.patch
  * 0047-btrfs-progs-fix-btrfs-image-old_restore-fsck-failure.patch
  * 0048-Btrfs-progs-fsck-reduce-memory-usage-for-extents-che.patch
  * 0050-btrfs-progs-move-the-check_argc_-functions-into-util.patch
  * 0051-btrfs-progs-limit-minimal-num-of-args-for-btrfs-imag.patch
  * 0054-btrfs-progs-doc-fix-incorrect-subvol-name.patch
  * 0055-btrfs-progs-correct-manpage-option-description-for-s.patch
  * 2100-btrfs-progs-print-qgroup-excl-as-unsigned.patch
  * 2101-btrfs-progs-import-ulist.patch
  * 2102-btrfs-progs-add-quota-group-verify-code.patch
  * 2103-btrfs-progs-show-extent-state-for-a-subvolume.patch
  * 2104-btrfs-progs-ignore-orphaned-qgroups-by-default.patch
  * btrfs-progs-canonicalize-pathnames-for-device-commands
- Refreshed patches:
  * 0006-Btrfs-progs-fsck-clear-out-log-tree-in-repair-mode.patch
  * 0011-btrfs-progs-Enhance-the-command-btrfs-filesystem-df.patch
  * 0012-btrfs-progs-Add-helpers-functions-to-handle-the-prin.patch
  * 0013-btrfs-progs-Add-command-btrfs-filesystem-disk-usage.patch
  * 0028-btrfs-progs-extend-pretty-printers-with-unit-mode.patch
  * 0164-btrfs-progs-convert-set-label-or-copy-from-origin.patch
  * 2005-btrfs-convert-add-context-and-operations-struct-to-a.patch
  * 2010-btrfs-convert-add-support-to-convert-reiserfs.patch
* Wed Jul 30 2014 dsterba@suse.cz
- fix mkfs on ppc64le (bnc#889565)
- Removed patches:
  * 0053-btrfs-progs-Check-superblock-s-checsum-when-read-dev.patch
* Fri Jul 25 2014 dsterba@suse.cz
- image: fix crash if wrong number of arguments is passed (bnc#888290)
- fsck: verify superblock checksum
- doc updates
- Added patches:
  * 0050-btrfs-progs-move-the-check_argc_-functions-into-util.patch
  * 0051-btrfs-progs-limit-minimal-num-of-args-for-btrfs-imag.patch
  * 0052-btrfs-progs-Fix-malloc-size-for-superblock.patch
  * 0053-btrfs-progs-Check-superblock-s-checsum-when-read-dev.patch
  * 0054-btrfs-progs-doc-fix-incorrect-subvol-name.patch
  * 0055-btrfs-progs-correct-manpage-option-description-for-s.patch
* Wed Jul  9 2014 mfasheh@suse.com
- add quota group verify patches (bnc#886493)
  - updates btrfsck with the ability to verify quota groups
  - optionally can generate a report on all qgroups
  - optionally can generate a report on suvolume extents
- Added patches:
  * 2100-btrfs-progs-print-qgroup-excl-as-unsigned.patch
  * 2101-btrfs-progs-import-ulist.patch
  * 2102-btrfs-progs-add-quota-group-verify-code.patch
  * 2103-btrfs-progs-show-extent-state-for-a-subvolume.patch
  * 2104-btrfs-progs-ignore-orphaned-qgroups-by-default.patch
* Fri Jul  4 2014 dsterba@suse.cz
- fsck: remove noisy messages after no space for writing cache
- improve error messages (parsing sizes)
- image:
  - update help text
  - deal with invalid option combinations
  - remove temporary file after failure
  - handle more enomem cases
  - fix restoring in the "old" mode
- Added patches:
  * 0037-btrfs-progs-show-meaningful-msgs-for-replace-cmd-upo.patch
  * 0038-btrfs-progs-Improve-the-parse_size-error-message.patch
  * 0039-btrfs-progs-clean-fsck-noise-for-free-inode-generati.patch
  * 0040-btrfs-progs-Properly-size-the-leafsize-field-in-the-.patch
  * 0041-Btrfs-progs-fsck-switch-to-is_fstree.patch
  * 0042-btrfs-progs-update-manpage-for-btrfs-image-with-m-op.patch
  * 0043-btrfs-progs-deal-with-invalid-option-combinations-fo.patch
  * 0044-btrfs-progs-delete-invalid-output-file-when-btrfs-im.patch
  * 0045-btrfs-progs-deal-with-malloc-failure-in-btrfs-image.patch
  * 0046-btrfs-progs-cleanup-possible-silent-failure-in-btrfs.patch
  * 0047-btrfs-progs-fix-btrfs-image-old_restore-fsck-failure.patch
  * 0048-Btrfs-progs-fsck-reduce-memory-usage-for-extents-che.patch
* Thu Jul  3 2014 dsterba@suse.cz
- remove old mkinitrd files, now covered by dracut
- Removed files:
  * boot-btrfs.sh
  * setup-btrfs.sh
* Mon Jun 16 2014 dsterba@suse.cz
- update to upstream 3.14.2
- documentation is now written in asciidoc and there are manpages for each
  subcommand
- additional doc updates: btrfstune, balance filters
- Added patches:
  * 0032-btrfs-progs-doc-fix-symlink-target-for-btrfsck.8.patch
  * 0033-btrfs-progs-clarify-mkfs.btrfs-alloc-start-option.patch
  * 0034-btrfs-progs-clarify-manpage-for-btrfstune-seeding-op.patch
  * 0035-btrfs-progs-update-man-page-for-btrfs-show-super.patch
  * 0036-btrfs-progs-Documentation-Add-filter-section-for-btr.patch
- Removed patches:
  * 0001-Btrfs-progs-fix-check-to-test-trim-support.patch
  * 0002-Btrfs-progs-fsck-fix-double-free-memory-crash.patch
  * 0003-Btrfs-progs-mkfs-Remove-zero_end-1-since-it-has-been.patch
  * 0004-btrfs-progs-fix-wrong-max-system-array-size-check-in.patch
  * 0005-btrfs-progs-move-arg_strtou64-to-a-separate-file-for.patch
  * 0009-btrfs-progs-prevent-close_root-if-the-root-to-close-.patch
  * 0010-btrfs-progs-fix-mkfs.btrfs-segfault-with-features-op.patch
* Wed Jun  4 2014 jeffm@suse.com
- btrfs-progs: canonicalize pathnames for device commands (bnc#880486).
- Added patch:
  * btrfs-progs-canonicalize-pathnames-for-device-commands
* Wed May 28 2014 dsterba@suse.cz
- fsck: fix checking on filesystems with large sectorsize (bnc#872286)
- Added patches:
  * 0171-btrfs-progs-make-free-space-checker-work-on-non-4k-s.patch
* Tue May 27 2014 jeffm@suse.com
- Do not package btrfs-find-root and btrfs-select-super by default.
- Removed printing byte number for every slot (bnc#872364).
- Removed patch:
  * 0170-btrfs-progs-In-find-root-dump-bytenr-for-every-slot.patch
* Fri May  2 2014 dsterba@suse.cz
- update to upstream 3.14.1
- mkfs:
  - fix TRIM detection
  - do not zero-out end of device unconditionally
  - no crash with --features option
- fsck:
  - clear log tree in repair mode
  - check reloc roots
- btrfs - reworked space reporting (bnc#873106)
  - btrfs fi usage - new command
  - btrfs dev usage - new command
  - btrfs fi df - enhanced output with GlobalReserve
- Removed patches:
  * 0001-btrfs-progs-move-arg_strtou64-to-a-separate-file-for.patch
- Added patches:
  * 0001-Btrfs-progs-fix-check-to-test-trim-support.patch
  * 0002-Btrfs-progs-fsck-fix-double-free-memory-crash.patch
  * 0003-Btrfs-progs-mkfs-Remove-zero_end-1-since-it-has-been.patch
  * 0004-btrfs-progs-fix-wrong-max-system-array-size-check-in.patch
  * 0005-btrfs-progs-move-arg_strtou64-to-a-separate-file-for.patch
  * 0006-Btrfs-progs-fsck-clear-out-log-tree-in-repair-mode.patch
  * 0007-Btrfs-progs-fsck-avoid-pinning-same-block-several-ti.patch
  * 0008-Btrfs-progs-fsck-add-ability-to-check-reloc-roots.patch
  * 0009-btrfs-progs-prevent-close_root-if-the-root-to-close-.patch
  * 0010-btrfs-progs-fix-mkfs.btrfs-segfault-with-features-op.patch
  * 0011-btrfs-progs-Enhance-the-command-btrfs-filesystem-df.patch
  * 0012-btrfs-progs-Add-helpers-functions-to-handle-the-prin.patch
  * 0013-btrfs-progs-Add-command-btrfs-filesystem-disk-usage.patch
  * 0014-btrfs-progs-Add-btrfs-device-disk-usage-command.patch
  * 0015-btrfs-progs-cleanup-dead-return-after-usage-for-fi-d.patch
  * 0016-btrfs-progs-Fix-memleak-in-get_raid56_used.patch
  * 0017-Btrfs-progs-fi-usage-free-memory-if-realloc-fails.patch
  * 0018-btrfs-progs-read-global-reserve-size-from-space-info.patch
  * 0019-btrfs-progs-add-original-df-and-rename-disk_usage-to.patch
  * 0020-btrfs-progs-move-device-usage-to-cmds-device-more-cl.patch
  * 0021-btrfs-progs-check-if-we-can-t-get-info-from-ioctls-d.patch
  * 0022-btrfs-progs-zero-out-structures-before-calling-ioctl.patch
  * 0023-btrfs-progs-print-B-for-bytes.patch
  * 0024-btrfs-progs-Print-more-info-about-device-sizes.patch
  * 0025-btrfs-progs-compare-unallocated-space-against-the-co.patch
  * 0026-btrfs-progs-add-section-of-overall-filesystem-usage.patch
  * 0027-btrfs-progs-cleanup-filesystem-device-usage-code.patch
  * 0028-btrfs-progs-extend-pretty-printers-with-unit-mode.patch
  * 0029-btrfs-progs-replace-df_pretty_sizes-with-pretty_size.patch
  * 0030-btrfs-progs-clean-up-return-codes-and-paths.patch
  * 0031-btrfs-progs-move-global-reserve-to-overall-summary.patch
* Fri Apr 11 2014 dsterba@suse.cz
- add missing symbol to library (bnc#873164)
- Added patches:
  * 0001-btrfs-progs-move-arg_strtou64-to-a-separate-file-for.patch
* Wed Apr  9 2014 dsterba@suse.cz
- Upstream version 3.14
- fsck: fixes and enahancements to --init-extent-tree mode
- fsck: chunk-recover updates
- scrub: add force option -f
- send: check if subvolumes are read-only
- subvol snapshot: add options to affect commit behaviour
- btrfs: add properties command group
- restore: add dry-run option
- restore: fix restoring of compressed files
- mkfs: support for no-holes feature
- mkfs: discard phase is interruptible
- documentation updates
- Removed patches:
  * 0001-Btrfs-progs-fix-btrfsck-improper-prompt-on-dropping-.patch
  * 0002-btrfs-progs-remove-cmds-chunk.c.patch
  * 0003-btrfs-progs-make-filesystem-show-by-label-work.patch
  * 0004-Btrfs-progs-allow-init-extent-tree-to-work-when-exte.patch
  * 0005-Btrfs-progs-don-t-output-baffling-message-when-check.patch
  * 0006-btrfs-progs-fix-loop-device-mount-checks.patch
  * 0007-btrfs-progs-use-proc-self-mounts.patch
  * 0008-btrfs-progs-make-it-static-if-function-isn-t-called-.patch
  * 0009-Btrfs-progs-try-harder-to-make-btrfs-receive-success.patch
  * 0010-Btrfs-progs-let-get_label-return-the-label-instead-o.patch
  * 0011-btrfs-progs-define-BTRFS_UUID_UNPARSE_SIZE-for-uuid-.patch
  * 0012-btrfs-progs-Make-btrfs_header_chunk_tree_uuid-return.patch
  * 0013-Btrfs-progs-chunk-recover-use-right-size-when-alloca.patch
  * 0014-Btrfs-progs-fix-the-mismatch-of-extent-buffer-s-spac.patch
  * 0015-btrfs-progs-call-endmntent-in-btrfs_scan_kernel.patch
  * 0016-btrfs-progs-use-mntent-functions-in-find_mount_root.patch
  * 0017-Btrfs-progs-chunk-recover-add-new-flag-to-prepare-re.patch
  * 0018-btrfs-progs-skip-chunk-recover-works-when-check-chun.patch
  * 0019-btrfs-progs-add-chunk-recover-raid0-5-6-data-stripes.patch
  * 0020-btrfs-progs-scan-devices-in-parallel-for-chunk-recov.patch
  * 0021-btrfs-progs-Turning-ON-incompat-isn-t-an-error.patch
  * 0022-btrfs-progs-fix-backref-after-init-csum-tree.patch
  * 0023-Btrfs-progs-add-option-to-skip-whether-a-scrub-has-s.patch
  * 0024-Btrfs-progs-fix-segfault-when-getting-scrub-status.patch
  * 0025-btrfs-progs-qgroup-destroy-says-create-failed.patch
  * 0026-Btrfs-progs-avoid-using-btrfs-internal-subvolume-pat.patch
  * 0027-btrfs-progs-send-check-if-parent-or-clone-sources-ar.patch
  * 0028-btrfs-progs-fix-a-manpage-item-for-btrfstune.patch
  * 0029-btrfs-progs-add-fsck.btrfs-stub-and-manpage.patch
  * 0030-btrfs-progs-convert-remaining-uuid-buffer-declaratio.patch
  * 0031-btrfs-progs-fix-improper-error-prompt-for-defragment.patch
  * 0032-Btrfs-progs-make-sure-we-are-opening-a-file-or-dir-w.patch
  * 0033-Btrfs-progs-reset-balance-before-reiniting-extent-ro.patch
  * 0034-Btrfs-progs-deal-with-invalid-key-orderings-and-bad-.patch
  * 0035-btrfs-progs-fix-resource-leak-in-scrub_start.patch
  * 0036-Btrfs-progs-add-sanity-checks-for-btrfs-device-opera.patch
  * 0037-btrfs-progs-remove-NULL-ptr-judge-before-free-for-bt.patch
  * 0038-btrfs-progs-don-t-replicate-the-stripe_len-defines.patch
  * 0039-btrfs-progs-use-stripe_len-define-here.patch
  * 0040-btrfs-progs-add-options-to-set-commit-mode-after-sub.patch
  * 0041-btrfs-progs-update-send-help-strings-and-manpage.patch
  * 0042-btrfs-progs-fix-btrfstune-silence-on-failure.patch
  * 0043-Btrfs-progs-receive-fix-the-case-that-we-can-not-fin.patch
  * 0044-btrfs-progs-handle-error-in-the-btrfs_prepare_device.patch
  * 0045-btrfs-progs-test_skip_this_disk-isn-t-needed-anymore.patch
  * 0046-Btrfs-progs-fix-to-make-list-specified-directory-s-s.patch
  * 0047-btrfs-progs-skip-non-regular-files-while-defragmenti.patch
  * 0048-Btrfs-progs-add-support-for-the-no-holes-incompat-fl.patch
  * 0049-btrfs-progs-sync-up-with-newly-introduced-ioctl-numb.patch
  * 0050-Btrfs-progs-check-return-value-of-read_tree_block-in.patch
  * 0051-btrfs-progs-btrfsck-operations-should-be-exclusive.patch
  * 0052-btrfs-progs-fix-minor-grammar-issues.patch
  * 0053-btrfs-progs-Fix-bus-error-on-sparc.patch
  * 0054-Btrfs-progs-fix-double-free-when-deleting-subvolumes.patch
  * 0055-Btrfs-progs-make-send-receive-compatible-with-older-.patch
  * 0056-Btrfs-progs-introduce-btrfs-property-subgroup.patch
  * 0057-Btrfs-progs-fix-detection-of-root-objects-in-cmds-pr.patch
  * 0058-Btrfs-progs-add-type-root-to-label-property.patch
  * 0059-Btrfs-progs-add-support-for-the-compression-property.patch
  * 0060-btrfs-progs-lblkid-wouldn-t-find-non-mapper-path-inp.patch
  * 0061-btrfs-progs-return-non-zero-when-label-is-not-found.patch
  * 0062-btrfs-progs-enclose-uuid-tree-compat-code-with-ifdef.patch
  * 0063-btrfs-progs-fix-typo-in-reported-error.patch
  * 0064-ioctl-add-note-regarding-CLONE_RANGE-len-0-behaviour.patch
  * 0065-btrfs-progs-Add-missing-devices-check-for-mounted-bt.patch
  * 0066-btrfs-progs-Change-BUG-to-use-assert.patch
  * 0067-btrfs-progs-move-find_mount_root-to-utils.-ch.patch
  * 0068-Btrfs-progs-receive-don-t-output-normal-message-into.patch
  * 0069-btrfs-progs-Preserve-process_one_leaf-return-value.patch
  * 0070-btrfs-progs-Fix-check_arg_type-which-doesn-t-use-rea.patch
  * 0071-btrfs-progs-Remove-superfluous-BUG_ON-check.patch
  * 0072-btrfs-progs-use-usage-to-replace-the-warning-msg-on-.patch
  * 0073-btrfs-progs-add-dry-run-option-to-restore-command.patch
  * 0074-btrfs-progs-fix-fsck-leaks-on-error-returns.patch
  * 0075-btrfs-progs-judge-the-return-value-of-check_mounted-.patch
  * 0076-btrfs-progs-fix-wrong-error-msg-for-exec-btrfsck-as-.patch
  * 0077-btrfs-progs-don-t-remove-BTRFS_BLOCK_GROUP_DUP-in-ch.patch
  * 0078-btrfs-progs-mkfs.btrfs-man-page-update-default-metad.patch
  * 0079-Btrfs-progs-fsck-avoid-overwritting-existed-space-wh.patch
  * 0080-Btrfs-progs-fsck-fix-wrong-return-value-in-check_blo.patch
  * 0081-Btrfs-progs-record-generation-for-tree-blocks-in-fsc.patch
  * 0082-Btrfs-progs-make-sure-to-save-mirror_num-only-if-it-.patch
  * 0083-btrfs-progs-include-sys-xattr.h-instead-of-attr-xatt.patch
  * 0084-Btrfs-progs-free-path-if-we-don-t-find-root-item.patch
  * 0085-btrfs-progs-cleanup-device-stat-usage-prompt.patch
  * 0086-btrfs-progs-make-the-device-scan-logic-more-clear.patch
  * 0087-Btrfs-progs-use-the-correct-integer-type-for-ioctl.patch
  * 0088-Btrfs-progs-remove-unused-variable-and-update-btrfs-.patch
  * 0089-Btrfs-progs-fsck-deal-with-really-corrupted-extent-t.patch
  * 0090-Btrfs-progs-fsck-reset-balance-after-reiniting-exten.patch
  * 0091-Btrfs-progs-fsck-insert-root-dir-into-reloc-data-tre.patch
  * 0092-Btrfs-progs-fsck-force-to-udate-tree-root-for-some-c.patch
  * 0093-Btrfs-progs-fsck-handle-case-that-we-can-not-lookup-.patch
  * 0094-Btrfs-progs-mkfs-don-t-create-extent-for-an-empty-fi.patch
  * 0095-Btrfs-progs-mkfs-make-sure-we-can-deal-with-hard-lin.patch
  * 0096-btrfs-progs-avoid-implicit-scan-for-backup-SB.patch
  * 0165-Revert-btrfs-progs-update-options-in-find-root.c.patch
  * 0166-Btrfs-progs-add-some-verbose-output-to-find-root.patch
* Wed Apr  2 2014 dsterba@suse.cz
- fix libbtrfs package dependencies (bnc#871394)
* Mon Mar 31 2014 dsterba@suse.cz
- dev scan: don't look at backup superblocks
- Added patches:
  * 0096-btrfs-progs-avoid-implicit-scan-for-backup-SB.patch
* Tue Mar 18 2014 dsterba@suse.cz
- update 'subvolume snapshot' help (bnc#865612)
* Mon Mar 17 2014 dsterba@suse.cz
- mkfs:
  - no extents created for empty files
  - fix handling hardlinked files for -r option
- fsck improvements
* Thu Mar  6 2014 jeffm@suse.com
- add reiserfs support to btrfs-convert (FATE#313096)
- Added patches:
  * 2000-btrfs-convert-clean-up-blk_iterate_data-handling-wrt.patch
  * 2001-btrfs-convert-remove-unused-fs-argument-from-block_i.patch
  * 2002-btrfs-convert-remove-unused-inode_key-in-copy_single.patch
  * 2003-btrfs-convert-rename-ext2_root-to-image_root.patch
  * 2004-compat-define-DIV_ROUND_UP-if-not-already-defined.patch
  * 2005-btrfs-convert-add-context-and-operations-struct-to-a.patch
  * 2006-btrfs-constify-some-function-parameters.patch
  * 2007-btrfs-convert-factor-out-adding-dirent-into-convert.patch
  * 2008-btrfs-convert-factor-out-block-iteration-callback.patch
  * 2009-btrfs-convert-fix-typo-in-btrfs_insert_dir_item-call.patch
  * 2010-btrfs-convert-add-support-to-convert-reiserfs.patch
* Mon Mar  3 2014 dsterba@suse.cz
- mkfs: enable skinny-metadata feature by default
* Thu Feb 27 2014 dsterba@suse.cz
- restore: add dry-run option
- fsck: more sanity checks, other fixes
- image: fix restoration of DUP groups
* Thu Feb 13 2014 dsterba@suse.cz
- add fsck.btrfs stub and documentation
- fsck: improvements and fixes
- btrfs:
  - fix subvolume listing with option -o
  - recursive defrag skips non-regular files
  - doc updates
  - other fixes
* Mon Nov 25 2013 dsterba@suse.cz
- bump version to 3.12
- update tarball and remove upstreamed patches
- fsck, image, restore: various improvements and fixes
- btrfs: quota rescan (fate#312751)
* Thu Oct 31 2013 dsterba@suse.cz
- fsck updates
- more mkfs sanity checks
- qgroup rescan wait
- Added patches:
  * 0050-Btrfs-progs-commit-the-csum_root-if-we-do-init-csum-.patch
  * 0051-btrfs-progs-Fix-getopt-on-arm-ppc-platforms.patch
  * 0052-btrfs-progs-fix-duplicate-__-su-typedefs-on-ppc64.patch
  * 0053-btrfs-progs-use-reentrant-localtime.patch
  * 0054-btrfs-progs-don-t-have-to-report-ENOMEDIUM-error-dur.patch
  * 0055-Btrfs-progs-added-btrfs-quota-rescan-w-switch-wait.patch
  * 0056-btrfs-progs-fix-qgroup-realloc-inheritance.patch
  * 0057-Btrfs-progs-fix-restore-command-leaving-corrupted-fi.patch
  * 0058-btrfs-progs-avoid-write-to-the-disk-before-sure-to-c.patch
  * 0059-btrfs-progs-error-if-device-for-mkfs-is-too-small.patch
  * 0060-btrfs-progs-error-if-device-have-no-space-to-make-pr.patch
  * 0061-btrfs-progs-calculate-available-blocks-on-device-pro.patch
  * 0062-Btrfs-progs-keep-track-of-transid-failures-and-fix-t.patch
* Fri Oct  4 2013 rgoldwyn@suse.com
- Change udev rule filename in setup-btrfs.sh to
  /usr/lib/udev/rules.d/64-btrfs.rules from
  from /usr/lib/udev/rules.d/80-btrfs.rules (bnc#839960 comment#7)
* Thu Sep 26 2013 jeffm@suse.com
- Remove udev rules file - udev packages one itself (bnc#839960).
* Mon Sep 16 2013 jeffm@suse.com
- update to upstream master (194aa4a1)
  - btrfs-restore: deal with NULL returns from read_node_slot
  - btrfs-restore: use the correct leafsize when reading the FS location
  - btrfs-find-root: Add options to control generation and level
  - btrfsck: fix incorrect casting on items in the corrupt_blocks tree
  - Btrfs-progs: fix closing of devices
  - Btrfs-progs: enhance btrfs-image to restore image onto multiple disks
  - Btrfs-progs: cleanup btrfs-image usage
  - Btrfs-progs: delete fs_devices itself from fs_uuid list before freeing
  - Btrfs-progs: skip open devices which is missing
  - Btrfs-progs: fix misuse of skinny metadata in btrfs-image
  - Btrfs-progs: recover raid0/raid10/raid5/raid6 metadata chunk
  - Btrfs-progs: Add chunk rebuild function for RAID1/SINGLE/DUP
  - Btrfs-progs: introduce list_{first, next}_entry/list_splice_tail{_init}
  - Btrfs-progs: Add chunk recover function - using old chunk items
  - Btrfs-progs: Add block group check funtion
  - Btrfs-progs: extend the extent cache for the device extent
  - Btrfs-progs: use rb-tree instead of extent cache tree for fs/file roots
  - Btrfs-progs: introduce common insert/search/delete functions for rb-tree
  - Btrfs-progs: cleanup similar code in open_ctree_* and close_ctree
  - Btrfs-progs: Don't free the devices when close the ctree
  - Btrfs-progs: don't close the file descriptor 0 when closing a device
  - Btrfs-progs: fix missing recow roots when making btrfs filesystem
- Add fix for passing super_nr while opening ctree
* Thu Sep  5 2013 dsterba@suse.cz
- btrfs-progs-mkfs-default-extref.diff: turn on extended refs by
  default, (aka hardlink count limtitation) (bnc#835695)
* Fri Aug  9 2013 dsterba@suse.cz
- added 0040-btrfs-progs-fix-loop-device-mount-checks.patch: fix
  loop mount detection again (bnc#834173)
* Mon Jul 22 2013 ohering@suse.de
- Simplify checks in mkinitrd scripts.
  They are always true because they come from the same package
  Use relative paths to binaries
- Move udev rules to /usr.
- Adjust rules to call binary from /usr
- Simplify fsck.btrfs, its just a dummy until fixed
* Thu Jul  4 2013 dsterba@suse.cz
- update to upstream master (f00dd8386a57d241d0f7c)
* Sun Jun 16 2013 jengelh@inai.de
- Make requirement on libattr-devel explicit
* Fri Apr 13 2012 dsterba@suse.cz
- initrd support: add module (bnc#750185, bnc#727383)
* Tue Apr 10 2012 frank.lichtenheld@sophos.com
- set correct file mode if writing replacement fsck
* Fri Apr  6 2012 dsterba@suse.cz
- fix build failure
* Fri Apr  6 2012 dsterba@suse.cz
- add btrfs-debug-tree to initrd
- adjust fs size to correct size (bnc#744593)
- man page documentation updates
- do not package obsolete utilities
- mkfs: store correct size of device in superblock (bnc#730103)
- updated restriper/balance commands to match kernel version
* Fri Mar  9 2012 rschweikert@suse.com
- place binaries in /usr tree (UsrMerge project)
- adjust mkinitrd scrippt accordingly
* Mon Mar  5 2012 dsterba@suse.cz
- add btrfsck repair options for:
  - rebuild extent records
  - fix block group accounting
  - reset csums for rescue nodatasum mount
  - prune corrupt extent allocation tree blocks
- device scanning fixes for dm and multipath (bnc#749540)
- initrd support: move btrfs device scan after block device setup
- documentation updates
- add csize for file commpressed size
- updated restore utility
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Mon Dec 12 2011 dkukawka@suse.de
- btrfs-progs-fix-open_ctree_usage_segfaults.patch: fix
  segfaults from bnc#710486 due to unchecked usage of return
  value of open_ctree()
  [fixed compilation warnings]
* Mon Dec 12 2011 dsterba@suse.cz
- pull upstream, replace existing patches, spec update
- update 'restore' utility
  - lzo support
  - tools may now take earlies superblock when opening the fs
  - other fixes
- pull integration-20111030 branch
  - mkfs: force mkfs if desired
  - other fixes
- add btrfs-dump-super to mkinitrd
- other fixes
  - skip non-existent devices or without media
  - documentation updates
  - scrubbing single device
  - graceful error handling when opening fs fails
* Thu Dec  8 2011 dsterba@suse.cz
- updated mkinitrd script to scan devices before mount (bnc#727383)
* Wed Nov  9 2011 dsterba@suse.cz
- add several tools to mkinitrd if root fs is btrfs
- pull upstream branch and delete local patches
* Tue Oct  4 2011 dsterba@suse.cz
- btrfsck: ignore -a (bnc#655906)
- btrfsck: fix strerror value
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Thu Aug  4 2011 dsterba@suse.cz
- add patch for local version override as we do not build from
  git, and avoid doubled "Btrfs" in output of 'btrfs'
* Thu Aug  4 2011 dsterba@suse.cz
- reorder help for 'get-default' right after 'set-default'
* Thu Jul 28 2011 dsterba@suse.cz
- add option -p to print parent subvolume
- add subvolume 'get-default' subsubcommand
* Wed Jul 20 2011 dsterba@suse.cz
- remove debugging printf from
  0001-Btrfs-progs-add-a-btrfs-select-super-command-to-over.patch
* Fri Jul  1 2011 dsterba@suse.cz
- add support for currently available kernel features:
  - add scrub subcommand
  - scan /proc/partitions by default (or use --all-devices for all)
  - mkfs fixes and improvements
  - documentation fixes
* Fri Jul  1 2011 dmueller@suse.de
- fix failing on deleted loop mounts (bnc#697671)
* Fri Jul  1 2011 dsterba@suse.cz
- update from git:
  - add btrfs-select-super utility
  - add btrfs-label utility
  - allow mixed data+metadata (option --mixed)
  - allow populating new filesystem with files (option --rootdir)
  - allow discard support in mkfs
  - lzo support
  - deprecate 'btrfsctl' 'btrfs-vol' 'btrfs-show'
  - other bugfixes and documentation improvements
* Mon Mar 21 2011 dmueller@suse.de
- change to a hardlink
* Mon Mar 14 2011 dmueller@suse.de
- add link for fsck.btrfs (bnc#665899)
* Thu Dec 16 2010 dmueller@suse.de
- update to v0.19-35-g1b444cd:
  * used space accounting fix for the converter
  * Add btrfs-list for listing subvolumes
  * Add new util: 'btrfs'
  * multidevice support for check_mounted
  * check slash in deleting subvolumes
  * Add btrfsck option to select the super block copy
  * btrfs-debug-tree: add -d option to print only the device mapping
* Wed May 26 2010 dmueller@suse.de
- fix crash on creating filesystems (bnc#603620)
* Fri May  7 2010 dmueller@suse.de
- revert last change (bnc#599224#c3)
* Thu Apr 29 2010 dmueller@suse.de
- add hardlink from fsck.btrfs (bnc#599224)
* Fri Mar 26 2010 dmueller@suse.de
- fix memory leak (bnc#537633)
* Thu Mar  4 2010 jeffm@suse.de
- Updated to latest repo version.
  - used space accounting fix for the converter
  - btrfsctl: add snapshot/subvolume destroy ioctl
  - btrfsck: check root back/forward references
  - Add btrfs-map-logical program to map and read logical block numbers
* Fri Jan 22 2010 dmueller@suse.de
- build btfs-convert (bnc#572912)
* Sun Dec 20 2009 jengelh@medozas.de
- enable parallel build
* Mon Aug  3 2009 aschnell@suse.de
- added Supplements
* Mon Jul 27 2009 dmueller@suse.de
- move apps to /sbin
* Mon Jul 20 2009 dmueller@suse.de
- update to 0.19:
  - build with rpm optflags
  - install man pages
  - fix leak in extends checking (bnc#523447)
* Wed Feb 25 2009 dmueller@suse.de
- Initial package (0.18)
